<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib"
       xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <!-- Other Name -->
    <a4j:region rendered="#{curentOtherName.nameType != null and    (not empty curentOtherName.nameType)}">
        <h3>#{patientGenerator.getNameTypeDescription(curentOtherName.nameType)}</h3>
    </a4j:region>
    <a4j:region rendered="#{curentOtherName.firstNameSex != null and curentOtherName.firstNameSex.firstName != null}">
        <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['gazelle.dds.FirstName']}</ui:define>
            <h:outputText value="#{curentOtherName.firstNameSex.firstName}"/>
            <h:outputText
                    value="#{patientGenerator.getFirstNameAlternateSpellingValues(curentOtherName.firstNameSex)}"/>
        </s:decorate>
    </a4j:region>
    <a4j:region rendered="#{curentOtherName.lastName != null and (not empty curentOtherName.lastName.value)}">
        <s:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['gazelle.dds.LastName']}</ui:define>
            <h:outputText value="#{curentOtherName.lastName.value}"/>
            <h:outputText value="#{patientGenerator.getLastNameAlternateSpellingValues(curentOtherName.lastName)}"/>
        </s:decorate>
    </a4j:region>
    <hr lineType="solid"/>
</s:div>
